# H225_UnregistrationRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_UnregistrationRequest:

List of all members.

## Public Types

enum | OptionalFields { e_endpointAlias, e_nonStandardData, e_endpointIdentifier, e_alternateEndpoints, e_gatekeeperIdentifier, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_reason, e_endpointAliasPattern, e_supportedPrefixes, e_alternateGatekeeper, e_genericData, e_assignedGatekeeper }

## Public Member Functions

| H225_UnregistrationRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ArrayOf_TransportAddress | m_callSignalAddress
H225_ArrayOf_AliasAddress | m_endpointAlias
H225_NonStandardParameter | m_nonStandardData
H225_EndpointIdentifier | m_endpointIdentifier
H225_ArrayOf_Endpoint | m_alternateEndpoints
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_UnregRequestReason | m_reason
H225_ArrayOf_AddressPattern | m_endpointAliasPattern
H225_ArrayOf_SupportedPrefix | m_supportedPrefixes
H225_ArrayOf_AlternateGK | m_alternateGatekeeper
H225_ArrayOf_GenericData | m_genericData
H225_AlternateGK | m_assignedGatekeeper

## Member Enumeration Documentation

enum H225_UnregistrationRequest::OptionalFields

Enumerator:

  e_endpointAlias |
  e_nonStandardData |
  e_endpointIdentifier |
  e_alternateEndpoints |
  e_gatekeeperIdentifier |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_reason |
  e_endpointAliasPattern |
  e_supportedPrefixes |
  e_alternateGatekeeper |
  e_genericData |
  e_assignedGatekeeper |

## Constructor & Destructor Documentation

H225_UnregistrationRequest::H225_UnregistrationRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_UnregistrationRequest::GetDataLength | ( |  | ) | const

PBoolean H225_UnregistrationRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_UnregistrationRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_UnregistrationRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_UnregistrationRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_UnregistrationRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_UnregistrationRequest::m_requestSeqNum

H225_ArrayOf_TransportAddress H225_UnregistrationRequest::m_callSignalAddress

H225_ArrayOf_AliasAddress H225_UnregistrationRequest::m_endpointAlias

H225_NonStandardParameter H225_UnregistrationRequest::m_nonStandardData

H225_EndpointIdentifier H225_UnregistrationRequest::m_endpointIdentifier

H225_ArrayOf_Endpoint H225_UnregistrationRequest::m_alternateEndpoints

H225_GatekeeperIdentifier H225_UnregistrationRequest::m_gatekeeperIdentifier

H225_ArrayOf_ClearToken H225_UnregistrationRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_UnregistrationRequest::m_cryptoTokens

H225_ICV H225_UnregistrationRequest::m_integrityCheckValue

H225_UnregRequestReason H225_UnregistrationRequest::m_reason

H225_ArrayOf_AddressPattern H225_UnregistrationRequest::m_endpointAliasPattern

H225_ArrayOf_SupportedPrefix H225_UnregistrationRequest::m_supportedPrefixes

H225_ArrayOf_AlternateGK H225_UnregistrationRequest::m_alternateGatekeeper

H225_ArrayOf_GenericData H225_UnregistrationRequest::m_genericData

H225_AlternateGK H225_UnregistrationRequest::m_assignedGatekeeper

The documentation for this class was generated from the following file:

- h225.h